tomee-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jean-Louis MONTEIRO <jean-louis.monte...@atosorigin.com>
Subject Re: openejb + jpa 2.0 (hibernate)
Date Thu, 21 Jan 2010 21:30:41 GMT

Hi Christian,

AFAIK, OpenEJB only supports JPA 1.0.
I believe a post has already been pushed to the user@list.

BTW, the API has probably changed in order to integrate Bean Validation spec
and Criteria API that's why you cannot just get a JPA implementation working
by changing the implementation jar.

Jean-Louis



Christian Bourque wrote:
> 
> Hi,
> 
> I'm trying to use the new features of JPA 2.0 (Hibernate 3.5.0-Beta-3)
> with  
> OpenEJB 3.1.2 but I get an exception:
> 
> Caused by: java.lang.AbstractMethodError:  
> org.apache.openejb.persistence.PersistenceUnitInfoImpl.getValidationMode()Ljavax/persistence/ValidationMode;
> at
> org.hibernate.ejb.Ejb3Configuration.configure(Ejb3Configuration.java:487)
> at  
> org.hibernate.ejb.HibernatePersistence.createContainerEntityManagerFactory(HibernatePersistence.java:165)
> at  
> org.apache.openejb.assembler.classic.PersistenceBuilder.createEntityManagerFactory(PersistenceBuilder.java:184)
> at  
> org.apache.openejb.assembler.classic.Assembler.createApplication(Assembler.java:489)
> ... 40 more
> 
> I there a way to replace the PersistentUnitInfo implementation of OpenEJB  
> by the Hibernate one?
> 
> Thanks
> 
> Christian
> 
> 

-- 
View this message in context: http://n4.nabble.com/openejb-jpa-2-0-hibernate-tp1055654p1060792.html
Sent from the OpenEJB User mailing list archive at Nabble.com.

Mime
View raw message